%define module_name	amedyn
%define module_release	alt5.132620.11
%define module_version	20040801

%define kversion	2.6.12
%define krelease	alt11
%define flavour		std26-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release

Summary: Zyxel 630-11 DSL USB modem driver (Alpha quality!)

License: Distributable
Group: System/Kernel and hardware
Url: http://etersoft.ru/adsl

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildPreReq: kernel-build-tools
BuildRequires: modutils
#BuildRequires:	perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Zyxel 630-11 DSL USB modem (DynaMiTe USB Modem) driver (Alpha quality!)

These are modules for ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc-$GCC_VERSION KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour

%install
%__make install MODULE_PATH=%buildroot/%module_dir \
	KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Thu Aug 11 2005 Evgeny Sinelnikov <sin@altlinux.ru> 20040801-alt5.132620.11
- Initial kernel cvs build

* Wed Aug 03 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt5.3
- 2.6.12-alt3

* Thu Jul 07 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt5.1
- 2.6.12-alt1

* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt4.11
- 2.6.11-alt11

* Mon Jun 13 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt4.10
- 2.6.11-alt10

* Fri May 13 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt4.7
- 2.6.11-alt7

* Fri Apr 01 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt4.6
- 2.6.11-alt6

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt4.5
- 2.6.11-alt5

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt4.4
- rebuild with 2.6.11-alt4

* Tue Mar 01 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt3.4
- new kernel

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt3
- new kernel

* Sat Feb 05 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt2
- set CC=gcc-$GCC_VERSION (the same gcc as kernel built with)

* Sat Jan 15 2005 Vitaly Lipatov <lav@altlinux.ru> 20040801-alt1
- for 2.6.10-alt2
- hack: use CC=gcc-3.3
